Name:           s6-dns
Version:        2.3.2.0
Release:        1%{?dist}
Summary:        Good, usable DNS client libraries (synchronous and asynchronous), and command-line DNS client utilities.

License:        ISC
URL:            https://skarnet.org/software/%{name}/
Source0:        https://skarnet.org/software/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}.patch

BuildRequires:  make >= 3.81
BuildRequires:  gcc
BuildRequires:  skalibs-devel >= 2.9.2.0

Requires:       skalibs >= 2.9.2.0

%description
s6-dns is a suite of DNS client programs and libraries for Unix systems,
as an alternative to the BIND, djbdns or other DNS clients.

%package devel
Summary:        %{name} development files
Provides:       %{name}-devel

%description devel
This package contains necessary header files for %{name} development.

%prep
%autosetup -p1

%build
%configure --libexecdir=%{_libexecdir}/%{name}\
 --enable-shared\
 --disable-static\
 --disable-allstatic\
 --with-sysdeps=/usr/lib64/skalibs/sysdeps
%make_build

%install
%make_install

%files
%license COPYING
%doc README
%doc NEWS
%doc AUTHORS
%doc doc
%{_bindir}/*
%{_libdir}/libdcache.so.2.3*
%{_libdir}/libs6dns.so.2.3*
%{_libdir}/libskadns.so.2.3*

%files devel
%{_libdir}/libdcache.so
%{_libdir}/libs6dns.so
%{_libdir}/libskadns.so
%{_includedir}/%{name}/*

%changelog
* Tue Jun 16 2020 Marcin Skarbek <rpm@skarbek.name> 2.3.2.0-1
- Initial package
